com.thinkaurelius.titan.graphdb.types

## Class VertexLabelVertex

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.AbstractElement
  - - com.thinkaurelius.titan.graphdb.vertices.AbstractVertex
    - - com.thinkaurelius.titan.graphdb.vertices.StandardVertex
      - - com.thinkaurelius.titan.graphdb.vertices.CacheVertex
        - - com.thinkaurelius.titan.graphdb.types.vertices.TitanSchemaVertex
          - - com.thinkaurelius.titan.graphdb.types.VertexLabelVertex

- All Implemented Interfaces:
    Idfiable, Namifiable, TitanSchemaElement, TitanSchemaType, TitanElement, TitanVertex, VertexLabel, InternalElement, InternalVertex, InternalVertexLabel, SchemaSource, Removable, com.tinkerpop.blueprints.Element, com.tinkerpop.blueprints.Vertex, Comparable<TitanElement>

      public class VertexLabelVertex
      extends TitanSchemaVertex
      implements InternalVertexLabel

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.types.SchemaSource

      `SchemaSource.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexLabelVertex(StandardTitanTx tx, long id, byte lifecycle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTTL()`
    `boolean` | `hasDefaultConfiguration()`
    `boolean` | `isPartitioned()` Whether vertices with this label are partitioned.
    `boolean` | `isStatic()` Whether vertices with this label are static, that is, immutable beyond the transaction in which they were created.

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.vertices.TitanSchemaVertex

      `asIndexType, getDefinition, getEdges, getEdges, getName, getRelated, getStatus, getVertexLabelInternal, resetCache, toString`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.CacheVertex

      `addToQueryCache, hasLoadedRelations, loadRelations`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.StandardVertex

      `addRelation, getAddedRelations, getLifeCycle, hasAddedRelations, hasRemovedRelations, remove, removeRelation, updateLifeCycle`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.AbstractVertex

      `addEdge, addEdge, addEdge, addProperty, addProperty, getCompareId, getEdgeCount, getEdges, getEdges, getId, getLabel, getProperties, getProperties, getProperties, getProperty, getProperty, getPropertyCount, getPropertyKeys, getRelations, getTitanEdges, getVertexLabel, getVertices, isConnected, isModified, it, query, removeProperty, removeProperty, setProperty, setProperty, tx`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.internal.AbstractElement

      `clone, compare, compareTo, equals, getLongId, hashCode, hasId, isHidden, isLoaded, isNew, isRemoved, isTemporaryId, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified, query`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.types.SchemaSource

      `getLongId`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `isHidden, setId`

- - ### Constructor Detail

    - #### VertexLabelVertex

          public VertexLabelVertex(StandardTitanTx tx,
                           long id,
                           byte lifecycle)

  - ### Method Detail

    - #### isPartitioned

          public boolean isPartitioned()

      Description copied from interface: `VertexLabel`
      Whether vertices with this label are partitioned.
      Specified by:
        `isPartitioned` in interface `VertexLabel`
      Returns:

    - #### isStatic

          public boolean isStatic()

      Description copied from interface: `VertexLabel`
      Whether vertices with this label are static, that is, immutable beyond the transaction in which they were created.
      Specified by:
        `isStatic` in interface `VertexLabel`
      Returns:

    - #### hasDefaultConfiguration

          public boolean hasDefaultConfiguration()

      Specified by:
        `hasDefaultConfiguration` in interface `InternalVertexLabel`

    - #### getTTL

          public int getTTL()

      Specified by:
        `getTTL` in interface `InternalVertexLabel`

Copyright © 2012–2014. All rights reserved.